import type { UmbEditableDocumentCollectionItemModel } from '../../../types.js';
import { UmbLitElement } from '../../../../../../core/lit-element/index.js';
import type { UmbTableColumn, UmbTableColumnLayoutElement, UmbTableItem } from '../../../../../../core/components/index.js';
export declare class UmbDocumentTableColumnStateElement extends UmbLitElement implements UmbTableColumnLayoutElement {
    #private;
    private _state;
    column: UmbTableColumn;
    item: UmbTableItem;
    set value(value: UmbEditableDocumentCollectionItemModel);
    get value(): UmbEditableDocumentCollectionItemModel;
    constructor();
    render(): import("lit-html").TemplateResult<1>;
}
export default UmbDocumentTableColumnStateElement;
declare global {
    interface HTMLElementTagNameMap {
        'umb-document-table-column-state': UmbDocumentTableColumnStateElement;
    }
}
